VIRTIO_BALLOON(4)

NAME
virtio_balloon - VirtIO Memory Balloon driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device virtio_balloon

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    virtio_balloon_load="YES"

DESCRIPTION
The virtio_balloon device driver provides support for VirtIO memory balloon devices.

The memory balloon allows the guest to, at the request of the hypervisor, return memory allocated to the hypervisor so it can be made available to other guests. The hypervisor can later signal the balloon to return the memory.

SEE ALSO
virtio(4)

HISTORY
The virtio_balloon driver was written by Bryan Venteicher <bryanv@FreeBSD.org>. It first appeared in FreeBSD 9.0.